Elastix 1.2 Beta Released

rafael

Joined
May 14, 2007
Messages
1,454
Likes
1
Points
0
#1
Elastix 1.2 Beta is available for download. This release is for testing only, it is not for production use.

Changelog:
  • New Support for Bristuff thanks to Tzafrir Cohen from Xorcom
  • Asterisk upgraded to 1.4.20.1
  • FreePBX upgraded to 2.4
  • Solve the bug related to sip and iax extensions that did not register en version 1.1-7. This bug was reported on the forums and in the bug truck system
Your feedback is very important please use thebug track system to report errors and this thread for your comments and suggestions.
 

Ichorcom007

Joined
Apr 16, 2008
Messages
52
Likes
0
Points
0
#2
I am very excited to see asterisk upgraded and freePBX upgraded. You guys are gonna hate me now, Has anyone in the community taken a look at freePBX 2.5 ? One of the things I love about elastix development is that elastix always stays one release behind which is great for stability in a production enviorment and has really helped my business in being able to turn the key and leave and never go back. But man you have too see the upgrades patches and fixes in freePBX 2.5 have you guys taken a look? 126 patches and fixes, a swamping of advanced feat. that my customers will go nuts for. How long you think this time will it take to get freePBX upgraded to 2.5?( I know it is in beta but I am excited!)

Also the spell checker is not working very well on the forms. maybe it is my MAC hehe.
 

danardf

Joined
Dec 3, 2007
Messages
8,069
Likes
10
Points
88
#3
I suppose that it's Asterisk 1.4.21.2, and not 1.4.2....hmmm, I hope! :blink:
FreePBX 2.5 is still a beta (Maybe we must be waiting). Currently, Freepbx 2.4.1 is a better solution.

I think that it must follow Elastix's evolution with the Asterisk's versions, FreePBX's versions, etc....
Add some news functionalities.
 

rafael

Joined
May 14, 2007
Messages
1,454
Likes
1
Points
0
#4
danardf said:
I suppose that it's Asterisk 1.4.21.2, and not 1.4.2....hmmm, I hope! :blink:
FreePBX 2.5 is still a beta (Maybe we must be waiting). Currently, Freepbx 2.4.1 is a better solution.

I think that it must follow Elastix's evolution with the Asterisk's versions, FreePBX's versions, etc....
Add some news functionalities.
Thanks dadardf, the Asterisk version is 1.4.20.1. I just updated the original post.

Regards,

Rafael
 

danardf

Joined
Dec 3, 2007
Messages
8,069
Likes
10
Points
88
#5
Why you don't include the 1.4.21.2? Yet, this version corrects several bugs. :blink:
Notably, the security for the IAX2 extensions. ;)
 

Usuarioforum

Joined
Nov 15, 2007
Messages
93
Likes
0
Points
0
#6
More information about Bristuff? Now we can use Bristuff or mISDN for ISDN devices? We can try? How? More information?
 

lek

Guest
#7
BRIstuff is integrated into the zaptel drivers and it is a ISDN implementation for BRI. The reason to include BRIstuff is that some ISDN devices are not supported by mISDN.

However, after testing a little we're not sure to include in 1.2 and it is possible that we remove this addition to re-schedule for 1.3.

Anyway, mISDN is our default ISDN driver. So, if your card works with mISDN you don't need to worry about BRIstuff.
 

saleh

Joined
Apr 18, 2007
Messages
249
Likes
0
Points
0
#8
Re: Elastix 1.2 Beta 25 ago 2008

The Elastix 1.2 Beta 25 ago 2008 has problem with the loading of the chan_zap.so module

Asterisk Logs:

[Aug 27 11:20:51] WARNING[2750] loader.c: Error loading module 'chan_zap.so': libpri.so.1.0: cannot open shared object file: No such file or directory
[Aug 27 11:20:51] WARNING[2750] loader.c: Module 'chan_zap.so' could not be loaded.

$ rpm -ql libpri

/usr/lib/libpri.so.1.4
/usr/share/doc/libpri-1.4.5
/usr/share/doc/libpri-1.4.5/ChangeLog
/usr/share/doc/libpri-1.4.5/LICENSE
/usr/share/doc/libpri-1.4.5/README
/usr/share/doc/libpri-1.4.5/TODO


To resolve the problem

$ yum remove libpri
$ yum install libpri

$ rpm -ql libpri

/usr/lib/libpri.so.1
/usr/lib/libpri.so.1.0
/usr/share/doc/libpri-1.4.0
/usr/share/doc/libpri-1.4.0/ChangeLog
/usr/share/doc/libpri-1.4.0/LICENSE
/usr/share/doc/libpri-1.4.0/README
/usr/share/doc/libpri-1.4.0/TODO

I think, the problem is the asterisk not compiled with the installed libpri (libpri-1.4.5-2.i386.rpm)

I hope, it fixed in the next release.
 

cyvotel

Joined
Jul 22, 2008
Messages
2
Likes
0
Points
0
#9
Hey Ralph, am a newbee on your site impressed with elastix platform. good stuff. You know I upgraded to freepbx 2.5 and have been running it without any problem so far. Also was able to upgrade A2billing to 1.3.3 and all connections went superb. I have a question...what is the structure of elastix? is it fully integrated with freepbx as per the admin interface?
Observation: when I upgraded to freepbx 2.5 using the upgrade tool in freepbx it appears that whenever you try to look in the details of an extension the entries go blank but when u do same with freepbx it shows all the details about the configured extension. But the phones work very well and all extensions are registered well even when configured using elastix interface. Any thoughts?
 

saleh

Joined
Apr 18, 2007
Messages
249
Likes
0
Points
0
#10
Re:Elastix 1.2 RC 27ago 2008

The Elastix 1.2 RC 27ago 2008 has problem with the loading of the chan_zap.so module

Asterisk Logs:

Sep 1 09:42:26] WARNING[2779] loader.c: Error loading module 'chan_zap.so': libpri.so.1.0: cannot open shared object file: No such file or directory

# rpm -ql libpri

/usr/lib/libpri.so.1.4
/usr/share/doc/libpri-1.4.5
/usr/share/doc/libpri-1.4.5/ChangeLog
/usr/share/doc/libpri-1.4.5/LICENSE
/usr/share/doc/libpri-1.4.5/README
/usr/share/doc/libpri-1.4.5/TODO
 

Members online

Latest posts

Forum statistics

Threads
30,967
Messages
131,028
Members
17,678
Latest member
Gbia03
Top